Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044669
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] French Fiscalmajorrandom2020-07-22 17:422020-09-08 14:34
ReporteregoitzView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0044669: Error importing cashup

DescriptionUnder some circustance the following error is registered on the error while importing window for the cashup.


We had an error due to the French Certification while doing a Cashup.
org.openbravo.base.exception.OBException: org.openbravo.base.exception.OBException: org.openbravo.base.exception.OBSecurityException: Organization 468A5C8B1DA642DC8CA634833649A96A of object (FIN_Financial_Account(53615D0D53FC4BEF8BC5275F22E6F0E1) (name: Clôture Gift Card, currency: 102)) is not present in OrganizationList [0, F94C06520A0945D8B3BEF1EF49AF82EF]
 at org.openbravo.certification.france.a.a(Unknown Source)
 at org.openbravo.certification.france.aggregation.AggregationCashupHook.exec(Unknown Source)
 at org.openbravo.certification.france.aggregation.AggregationCashupHook$Proxy$_$$_WeldClientProxy.exec(Unknown Source)
 at org.openbravo.retail.posterminal.CashCloseProcessor.executeHooks(CashCloseProcessor.java:189)
 at org.openbravo.retail.posterminal.CashCloseProcessor.processCashClose(CashCloseProcessor.java:164)


With an admin user the problem is solved by clicking on "Save again" button
Steps To ReproduceUsing a user without access to the organization of a financial account
create order using payment methods for that financial account and then do the cashup.

That can happen if the ticket has been done by other user and it is needed to update the information of the not accesible financial account.


The cashup is stucked on error while importing window.
Proposed SolutionWe think that the issue is on the jar for the frech localization on the file AggregationDao.


org.openbravo.certification.france.dev/src/org/openbravo/certification/france/aggregation/AggregationDao.java

That code seems to be incorrect:

  public int runAggregation(List<String> terminals) {
    long t0 = System.currentTimeMillis();

    OBContext.setAdminMode(true);


The code should be:

  public int runAggregation(List<String> terminals) {
    long t0 = System.currentTimeMillis();

    OBContext.setAdminMode(false);

(replace true with false)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121809)
hgbot (developer)
2020-08-04 15:20

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.dev/-/merge_requests/2 [^]
(0121899)
hgbot (developer)
2020-08-07 09:54

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.dev [^]
Changeset: 42c963794666a8e2544998b0b2b516f39b848eba
Author: Álvaro Ferraz <alvaro.ferraz@openbravo.com>
Date: 2020-08-04T15:15:18+02:00
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.dev/-/commit/42c963794666a8e2544998b0b2b516f39b848eba [^]

Fixes ISSUE-44669: Avoid client/org check when setting admin mode

---
M src/org/openbravo/certification/france/aggregation/AggregationCashupHookHelper.java
M src/org/openbravo/certification/france/aggregation/AggregationDao.java
M src/org/openbravo/certification/france/aggregation/AggregationHandler.java
M src/org/openbravo/certification/france/archiving/Archiver.java
M src/org/openbravo/certification/france/archiving/ArchivingProcess.java
M src/org/openbravo/certification/france/archiving/ArchivingVerificationHandler.java
M src/org/openbravo/certification/france/terminalmonitor/ProcessTerminalMonitor.java
M src/org/openbravo/certification/france/ticket/TicketInitializationBackground.java
M src/org/openbravo/certification/france/ticket/TicketInitializationHandler.java
M src/org/openbravo/certification/france/ticketreprint/ProcessTicketReprint.java
M src/org/openbravo/certification/france/ui/HVerificationHandler.java
M src/org/openbravo/certification/france/ui/MVerificationBackground.java
M src/org/openbravo/certification/france/ui/MVerificationHandler.java
M src/org/openbravo/certification/france/ui/UIIssueHandler.java
M src/org/openbravo/certification/france/ui/UIVerificationBackground.java
M src/org/openbravo/certification/france/ui/UIVerificationHandler.java
---
(0121900)
hgbot (developer)
2020-08-07 09:54

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.certification.france.dev/-/merge_requests/2 [^]
(0122801)
hgbot (developer)
2020-09-08 14:34

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.certification.france [^]
Changeset: f5224785d5d69309ea9695694920a91112b45905
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 2020-09-08T14:04:02+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.certification.france/-/commit/f5224785d5d69309ea9695694920a91112b45905 [^]

Synchronized from development repo (rev 9f2178b)

Synchronized src-db
Updated jar
Synchronized JS files
Updated module hash
Updated module version to 1.0.110

-- Included changesets:
f2f343c Updated minor version to 1.0.110
34d5f92 Fixes ISSUE-44884: Reduce hashed json scope including only main ticket properties
7cf2a16 Updated module hash
68446f1 Related to ISSUE-44843: Fix jslint errors
b582563 Related to ISSUE-44843: Implement the TicketList model in the new state engine
4268332 [ticket-list] delete unneeded validations
ca30265 Updated module hash
abf01bd Fixed ISSUE-44785: New flag at Organization level to default terminal blockchain
3246341 Fixed BUG-44783: Log client's ID in Security Background
2106315 fixes BUG-44542:APplied new HQL style
3d2c5e4 Update module hash
daf6af4 Fixes ISSUE-44749: Run TicketInitialValidation only if terminal has blockchain initialized
cef7608 Fixes ISSUE-44748: Change isBlockchained column default value to false
42c9637 Fixes ISSUE-44669: Avoid client/org check when setting admin mode

---
A src-db/database/model/modifiedTables/AD_ORG.xml
A src-db/database/sourcedata/AD_AUXILIARINPUT.xml
A src-db/database/sourcedata/AD_FIELDGROUP.xml
M lib/runtime/org.openbravo.certification.france-1.0.jar
M src-db/database/model/triggers/OBCFR_OBPOS_APPLICATIONS_TRG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MODULE.xml
M web/org.openbravo.certification.france/js/ticket/preOrderSaveFinishCancelLayawayHook.js
M web/org.openbravo.certification.france/js/ticket/preSyncReceiptHook.js
---

- Issue History
Date Modified Username Field Change
2020-07-22 17:42 egoitz New Issue
2020-08-04 08:33 aferraz Assigned To => Triage Finance
2020-08-04 08:55 aferraz Assigned To Triage Finance => aferraz
2020-08-04 15:20 hgbot Note Added: 0121809
2020-08-04 15:23 aferraz Issue cloned 0044748
2020-08-07 09:54 hgbot Resolution open => fixed
2020-08-07 09:54 hgbot Status new => closed
2020-08-07 09:54 hgbot Note Added: 0121899
2020-08-07 09:54 hgbot Note Added: 0121900
2020-08-21 19:29 aferraz Project Openbravo Localizations => Modules
2020-08-21 19:30 aferraz Category Localization France => French Fiscal
2020-09-08 14:34 hgbot Note Added: 0122801


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker